Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.impl.jdbc.schema
Class DBDictionaryFactory

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.impl.jdbc.schema.DBDictionaryFactory

public class DBDictionaryFactory
extends java.lang.Object

Factory class to instantiate a dictionary. It will use the following heuristic:

- Check to see if there is a DictionaryClass property, and if so, use that to instantiate the dictionary.
- Check the URL in the JDBCConfiguration against a list of pre-defined URLs for various dictionaries. If unknown, it will return an instance of GenericDictionary.

Constructor Summary
`DBDictionaryFactory()`

Method Summary
`static com.solarmetric.rd.kodo.impl.jdbc.schema.DBDictionary` | `getDBDictionary(com.solarmetric.rd.kodo.impl.jdbc.conf.JDBCConfiguration conf, javax.sql.DataSource ds)`
`static java.lang.String[]` | `getKnownConnectionURLList()` Returns a sample list of known JDBC URLs, for use in a graphical component.
`static java.lang.String[]` | `getKnownDriverList()` Returns a sample list of known JDBC drivers, for use in a graphical component.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DBDictionaryFactory

    public DBDictionaryFactory()

Method Detail

### getKnownDriverList

    public static java.lang.String[] getKnownDriverList()

  Returns a sample list of known JDBC drivers, for use in a graphical component. We list all known driver classes, rather than just the ones we support: it can't hurt to offer people choices.

### getKnownConnectionURLList

    public static java.lang.String[] getKnownConnectionURLList()

  Returns a sample list of known JDBC URLs, for use in a graphical component.

### getDBDictionary

    public static com.solarmetric.rd.kodo.impl.jdbc.schema.DBDictionary getDBDictionary(com.solarmetric.rd.kodo.impl.jdbc.conf.JDBCConfiguration conf,
                                                                                        javax.sql.DataSource ds)

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.